apiVersion: apps/v1
kind: Deployment
metadata:
  name: inbiz-miniprogram
  namespace: edoc2
  labels:
    app: inbiz-miniprogram
    k8s-app: inbiz-miniprogram
spec:
  replicas: 1
  selector:
    matchLabels:
      app: inbiz-miniprogram
  template:
    metadata:
      labels:
        app: inbiz-miniprogram
    spec:
      hostname: inbiz-miniprogram
      containers:
        - image: registry.edoc2.com:5000/edoc2v5/inbiz-miniprogram:inbiz-v6.6.0.0
          imagePullPolicy: IfNotPresent
          name: inbiz-miniprogram
          envFrom:
            - configMapRef:
                name: mid-envfile
            - configMapRef:
                name: inbiz-envfile
          securityContext:
            capabilities:
              add: ["SYS_PTRACE"]
          ports:
            - name: mini-http
              containerPort: 5012
      restartPolicy: Always
      nodeSelector:
        node.drive.nodelabels: InDrive
---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: inbiz-miniprogram
  name: inbiz-miniprogram
  namespace: edoc2
spec:
  ports:
    - name: mini-http
      port: 5012
      protocol: TCP
      targetPort: 5012
  selector:
    app: inbiz-miniprogram
  type: ClusterIP
